
/* DEFS: group GreedyRefLB: CentralLB{
void GreedyRefLB(void);
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_GreedyRefLB::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_GreedyRefLB::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
  _REGISTER_BASE(__idx, CProxy_CentralLB::__idx);
    /* REG: void GreedyRefLB(void);
*/
      __idx_GreedyRefLB_void = CkRegisterEp("GreedyRefLB", (CkCallFnPtr)_call_GreedyRefLB_void, 0, __idx);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: void GreedyRefLB(void);
 */
int CProxy_GreedyRefLB::__idx_GreedyRefLB_void=0;
CkGroupID CProxy_GreedyRefLB::ckNew(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroup(__idx, __idx_GreedyRefLB_void, msg, 0, 0);
}
CkGroupID CProxy_GreedyRefLB::ckNewSync(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroupSync(__idx, __idx_GreedyRefLB_void, msg);
}
  CProxy_GreedyRefLB::CProxy_GreedyRefLB(int retEP, CkChareID *cid)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_GreedyRefLB_void, msg, retEP, cid);
  _setChare(0);
}
  CProxy_GreedyRefLB::CProxy_GreedyRefLB(void)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_GreedyRefLB_void, msg, 0, 0);
  _setChare(0);
}
void CProxy_GreedyRefLB::_call_GreedyRefLB_void(void* msg, GreedyRefLB* obj)
{
  new (obj) GreedyRefLB();
  CkFreeSysMsg(msg);
}
#endif /*CK_TEMPLATES_ONLY*/

#ifndef CK_TEMPLATES_ONLY
void _registerGreedyRefLB(void)
{
  static int _done = 0; if(_done) return; _done = 1;
      _registerCentralLB();

/* REG: group GreedyRefLB: CentralLB{
void GreedyRefLB(void);
};
*/
  CProxy_GreedyRefLB::__register("GreedyRefLB", sizeof(GreedyRefLB));

}
#endif
